Visualizza: Vista dall'alto

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Std ViewTop and the translation is 83% complete.
Outdated translations are marked like this.
Other languages:
Deutsch • ‎English • ‎français • ‎italiano • ‎polski • ‎русский
Arrow-left.svg Pagina precedente: Std ViewFront.svg Vista frontale
Pagina successiva: Vista da destra Std ViewRight.svg Arrow-right.svg

Std ViewTop.svg Vista dall'alto

Posizione nel menu
Visualizza → Viste standard → Dall'alto
Ambiente
Tutti
Avvio veloce
2
Introdotto nella versione
-
Vedere anche
Vista frontale, Vista da destra

Descrizione

Il comando Vista dall'alto orienta la fotocamera della Vista 3D che guarda dall'alto verso il basso, nella direzione dell'asse Z negativo.

FreeCAD views front.svg

La freccia 2 punta nella direzione della vista dall'alto.

Utilizzo

  1. Esistono diversi modi per invocare il comando:
    • Premere il pulsante Std ViewTop.svg Vista dall'alto.
    • Selezionare l'opzione Visualizza → Viste standard → Std ViewTop.svg Dall'alto dal menu.
    • Selezionare l'opzione Viste standard → Std ViewTop.svg Dall'alto dal menu contestuale della vista 3D.
    • Usare la scorciatoia da tastiera: 2.

Script

Vedere anche: Script di base per FreeCAD

Per passare alla vista dall'alto utilizzare il metodo viewTop dell'oggetto ActiveView. Questo metodo non è disponibile se FreeCAD è in modalità console.

import FreeCADGui

FreeCADGui.ActiveDocument.ActiveView.viewTop()
FreeCADGui.ActiveDocument.ActiveView.getViewDirection()
Arrow-left.svg Pagina precedente: Std ViewFront.svg Vista frontale
Pagina successiva: Vista da destra Std ViewRight.svg Arrow-right.svg